Subject: Re: [bitcoin-dev] Blockchain Voluntary Fork (Split) Proposal (Chaofan Li)

From: Chaofan Li <[email-masked]>
Date: Tue, 23 Jan 2018 05:47:27 +0000

The human perception of difference will be eliminated.
Will your bank tell you whether your balance means coins or paper money?
If wallets and exchanges only show the total amount of btc rather than
btc.0 and btc.1, there is no human perception difference.

Also note that one valid address is automatically valid on the other chain,
which means you can send money through any one chain. As long as one has
the private key, he/she can get the money anyway. So there is no difference
between number of merchants. The merchant ‘s address is valid on both
chains.

The exchange cost would be trivial. People don’t need to exchange two same
thing.

Chaofan

On Mon, Jan 22, 2018 at 10:57 PM Eric Voskuil <[email-masked]> wrote:

> On 01/22/2018 04:38 PM, Chaofan Li via bitcoin-dev wrote:
> > Miners are most likely to be  equally distributed between the two almost
> > same chains.
>
> This is irrelevant as miners don't determine the utility of a money,
> they anticipate it. However you don't have to accept this to recognize
> the error of the argument below...
>
> > If one chain is faster, according to the difficulty adjustment scheme,
> > it will become more difficult to mine.
>
> Mining difficulty controls the block period, not miner return on capital.
>
> > The two chain should have similar chain generation rates with similar
> > difficulty and similar length.
>
> This is the consequence of the presumed common regulation of the block
> period. It matters not how useful are either of the monies.
>
> > or the miners will be attracted to the chain easier to mine,
> > and more miners will make the chain generation rate increase and then,
> > after difficulty adjustment, harder to mine.
>
> You are conflating difficulty with profitability. These are not the same
> thing. A chain can be more difficult and less profitable and the
> reverse. Profitability is controlled by competition, as it is in all
> markets. Competition is controlled by the cost of capital, which is in
> turn controlled by time preference. Mining seeks the same level of
> profitability for any coin, regardless of how difficultly. This applies
> to all industry - difficulty does not regulate profit, it's just a cost.
>
> > Equilibrium will be achieved.> All the above are based on one
> assumption: the two chains have the same
> > value initially or miners believe they will  have  the same value
> finally.
>
> Actually the opposite is the case. Even if we could start at a point of
> perfect equality, the smallest change in the number of merchants or
> human perception of the money (as examples), would lead one to be
> slightly better. All things being equal that alone would lead to
> elimination of one money in favor of the other.
>
> One money is inherently better than two, as there is an exchange cost
> between them. In the absence of exchange controls the better money gets
> used, and in this case that can simply be the result of a slightly
> larger network (or perception of it).
>
> e
>
>